Subject: Status of SLIP for Linux
From: [email-masked] (Matt Welsh)
Date: 13 May 1993 22:08:09 GMT
Newsgroups: comp.os.linux,comp.os.linux.announce

Perhaps this should be an FAQ. :) I'm posting this to clear up the
confusion.

SLIP (or Serial Line IP), which allows you to do TCP/IP over the phone
lines, without an Ethernet connection, is currently in ALPHA testing for
0.99.pl9. It is part of the new NET code written by Fred van Kempen. 

Be warned: the code is for testing only, and only for TCP/IP wizards who 
know what they're doing. If you're not a TCP/IP wizard, then you'll most 
certainly be confused when working with the new code, and the developers 
need to spend their time testing and working out bugs, not answering questions 
from newbies on how to set it up. There. That's the disclaimer.

Soon, the NET-2 code will be made part of the standard kernel, and the
rest of the software released for general consumption (including SLIP).

Phil and I are working on a rewrite of the NET-FAQ to cover the NET-2
release as well as information on SLIP.

There was a SLIP written for 0.99.pl4, and it is still available. However,
it may need patches to work with newer kernels. You probably shouldn't
bother with this older SLIP release unless you absolutely *need* SLIP
now.

Other options, if you don't need kernel-based SLIP:
  * term (v1.0.7) from sunsite.unc.edu:/pub/Linux/system/Serial/term.
    This is a client-server package which works over your modem; you
    run it on your Linux box and on the local machine. It allows you
    to start multiple shells on the dremote machine, do file transfers,
    redirect incoming IP packets for a given port to your Linux box, and
    even run X applications over the serial line. Very good stuff.

  * Screen (prep.ai.mit.edu:/pub/gnu/screen-???). This is a simple but
    robust terminal session multiplexer. In English, this means that you
    can run "screen" on your remote machine (you don't need to be root
    to install it) and use it to open multiple windows, switching between
    them as you would VC's. I use this to dial into a machine on the 
    Internet, and from there start up multiple telnet sessions to other
    machines. This does *not* require Xwindows; by "windows" I don't
    refer to X11, but rather to "terminal" windows, like VC's. 
 
  * ka9q (sunsite:/pub/Linux/system/Serial/???). This is an older
    term-like program which does SLIP-like access over the phone line.
    It has generally been supplanted by term.

In most cases, you don't *need* SLIP to connect and have multiple outgoing
and incoming sessions to your machine. Most SLIP servers allow you to simply
initiate CLI sessions (e.g., telnet) from where you can run term, screen, etc.

Let me know if you have any questions or changes to the above (Jon, I haven't
checked the file locations on Sunsite, please correct me).

mdw

-- 
Matt Welsh, [email-masked]
"That kernel's got a mean streak A MILE WIDE!!" --Chip Salzenberg